<?php 

namespace App\Channels;

use App\Notifications\PushNotification;
use Illuminate\Notifications\Notification;
use Illuminate\Support\Facades\Log;

class CustomPushChannel
{
    public function send($notifiable, PushNotification $notification)
    {
        // Call the toCustomPush method to send the push notification
        $notification->toCustomPush($notifiable);
    }
}
